> ## Name

> cgGetNamedTechniqueAnnotation - get a technique annotation by name

> ## Synopsis

>     #include <Cg/cg.h>

>     CGannotation cgGetNamedTechniqueAnnotation( CGtechnique tech,
>                                                 const char * name );

> ## Parameters

> tech
>   The technique from which to retrieve the annotation.
> name
>   The name of the annotation to retrieve.

> ## Return Values

> Returns the named annotation.

> Returns NULL if the technique has no annotation corresponding to name.

> ## Description

> The annotations associated with a technique can be retrieved directly by name using cgGetNamedTechniqueAnnotation. The names of a technique's annotations can be discovered by iterating through the annotations (see cgGetFirstTechniqueAnnotation and cgGetNextAnnotation), calling cgGetAnnotationName for each one in turn.

> ## Examples

>     /* fetch annotation "Apple" from CGtechnique technique */
>     CGannotation ann = cgGetNamedTechniqueAnnotation( technique, "Apple" );

> ## Errors

> CG_INVALID_TECHNIQUE_HANDLE_ERROR is generated if tech is not a valid technique.

> ## History

> cgGetNamedTechniqueAnnotation was introduced in Cg 1.4.

> ## See Also

> cgGetFirstTechniqueAnnotation, cgGetNextAnnotation, cgGetAnnotationName